-- Spell info for Feral/Bear spec
BearSpellinfo = new(Spellinfo);

-- Initialize spells for Protection spec
function BearSpellinfo:Init()
	self:Reset();

	-- Usable spells
	self:AddSpell(ABILITY_FAERIE_FIRE, "FF", 6);
	self:AddSpell(ABILITY_DEMOROAR, "Demo", 0);
	self:AddSpell(ABILITY_MANGLE, "Man", 6);
	self:AddSpell(ABILITY_LACERATE, "Lcr", 0);
	self:AddSpell(ABILITY_PULVERIZE, "Pulv", 0);
	self:AddSpell(ABILITY_MAUL, "Maul", 3);
	self:AddSpell(ABILITY_THRASH, "Thr", 6);
	self:AddSpell(ABILITY_SWIPE, "Sw", 3);
	
	-- Effects
	self:AddEffect(EFFECT_PULVERIZE, "Pulv", 18);
	self:AddEffect(EFFECT_BERSERK_PROC, "Zerk", 5, nil, nil, "proc");
	self:AddEffect(EFFECT_BERSERK, "Zerk!", 15 + (hasGlyph(62969, 3) and 10 or 0), nil, nil, "CD");		-- Glyph of Berserk
	
	-- Debuffs
	self:AddEffect(DEBUFF_FAERIE_FIRE, "FF", 5*60, true, 3);
	self:AddEffect(DEBUFF_DEMOROAR, "Demo", 30, true);
	self:AddEffect(DEBUFF_MANGLE, "Man", 60, true);
	self:AddEffect(DEBUFF_LACERATE, "Lcr", 15, true, 3);
	self:AddEffect(DEBUFF_INFECTED, "IW", 12, true);
	self:AddEffect(DEBUFF_THRASH, "Thr", 6, true);
end

-- Get the ID and cost of the spell used to measure base mana (base mana percentage, 40 = 40%)
function BearSpellinfo:GetBaseManaAbility()
	return 50769, 72;		-- Revive, 72% base mana
end

-- Calculate the base mana. Bears use Rage, which is capped at 100.
-- All ability cost measurements should be based off that.
function BearSpellinfo:GetBaseMana()
	return 100;
end

-- Get the ID and cast time of the spell used to measure GCD duration
function BearSpellinfo:GetGCDAbility()
	return 50769, 10;		-- Revive, 10 seconds
end

-- Well, as it turns out, Feral Druid GCD is also fixed because melee GCD is not
-- affected by haste at all. /facepalm
function BearSpellinfo:GCD()
	return 1.5;
end
