-- Create the General settings panel
function Options:CreateGeneralPanel()
	local panel = Options:CreatePanel(TITLE_GENERAL, SUBTITLE_GENERAL);
	self.general = panel;
	
	panel.combatToggle = self:CreateCheckButton(LABEL_COMBAT_TOGGLE, panel);
	panel.combatToggle:SetPoint("TOPLEFT", panel.subtitle, "BOTTOMLEFT", 0, 0);

	panel.checkStance = self:CreateCheckButton(LABEL_CHECK_STANCE, panel);
	panel.checkStance:SetPoint("TOPLEFT", panel.combatToggle, "BOTTOMLEFT", 0, 4);
	--panel.checkStance:SetAlpha(0.35);
	--panel.checkStance:Disable();

	panel.locked = self:CreateCheckButton(LABEL_LOCKED, panel);
	panel.locked:SetPoint("TOPLEFT", panel.checkStance, "BOTTOMLEFT", 0, 4);
	
	panel.scale = self:CreateNumericSlider(LABEL_SCALE, panel, 0.3, 1.5, 0.05, "%2.1f", "%3.2f");
	panel.scale:SetPoint("TOPLEFT", panel.locked, "BOTTOMLEFT", 0, -24);

	-- Populate and save handlers
	panel.Populate = function(self, config)
		Options:PopulateGeneralPanel(config);
	end
	panel.Save = function(self, config)
		Options:SaveGeneralPanel(config)
	end

	return panel;
end

-- Populate the contents of the General panel
function Options:PopulateGeneralPanel(config)
	local panel = self.general;
	
	panel.combatToggle:SetChecked(config.combatToggle);
	panel.checkStance:SetChecked(config.checkStance);
	panel.locked:SetChecked(config.locked);
	panel.scale:SetValue(config.scale);
end

-- Save the contents of the General panel
function Options:SaveGeneralPanel(config)
	local panel = self.general;
	
	config.combatToggle = panel.combatToggle:GetChecked() and true or false;
	config.checkStance = panel.checkStance:GetChecked() and true or false;
	config.locked = panel.locked:GetChecked() and true or false;
	config.scale = panel.scale:GetValue();
end
