-- Create the Rotation panel
function Options:CreateRotationPanel()
	local panel = Options:CreatePanel(TITLE_ROTATION, SIBTITLE_ROTATION);
	self.rotation = panel;
	
	panel.priority = self:CreateNumericSlider(LABEL_PRIORITY, panel, 0, 1200, 5, "%1.0f", "%1.0f");
	panel.priority:SetPoint("TOPLEFT", panel.subtitle, "BOTTOMLEFT", 0, -16);
	
	panel.singlePage = self:CreateSlider(LABEL_SINGLE_PAGE, panel, 0, 12, 1);
	panel.singlePage:SetPoint("TOPLEFT", panel.priority, "BOTTOMLEFT", 0, -32);
	panel.singlePage:SetScript("OnValueChanged", function(self)
		local v = self:GetValue();
		local page = (v == 0) and LABEL_PAGE_DISABLED or (LABEL_PAGE .. v);
		self.value:SetText(page);
	end);

	panel.aoePage = self:CreateSlider(LABEL_AOE_PAGE, panel, 0, 12, 1);
	panel.aoePage:SetPoint("TOPLEFT", panel.singlePage, "BOTTOMLEFT", 0, -16);
	panel.aoePage:SetScript("OnValueChanged", function(self)
		local v = self:GetValue();
		local page = (v == 0) and LABEL_PAGE_DISABLED or (LABEL_PAGE .. v);
		self.value:SetText(page);
	end);

	-- Populate and save handlers
	panel.Populate = function(self, config)
		Options:PopulateRotationPanel(config);
	end
	panel.Save = function(self, config)
		Options:SaveRotationPanel(config);
	end
	
	return panel;
end

-- Populate the contents of the Rotation panel
function Options:PopulateRotationPanel(config)
	local panel = self.rotation;
	
	panel.priority:SetValue(config.priority);
	panel.singlePage:SetValue(config.singlePage);
	panel.aoePage:SetValue(config.aoePage);
end

-- Save the contents of the Rotation panel
function Options:SaveRotationPanel(config)
	local panel = self.rotation;
	
	config.priority = panel.priority:GetValue();
	config.singlePage = panel.singlePage:GetValue();
	config.aoePage = panel.aoePage:GetValue();
end
