-- Create the Sound panel
function Options:CreateSoundPanel()
	local panel = Options:CreatePanel(TITLE_SOUND, SUBTITLE_SOUND);
	self.sound = panel;
		
	panel.sound = self:CreateCheckButton(LABEL_SOUND, panel);
	panel.sound:SetPoint("TOPLEFT", panel.subtitle, "BOTTOMLEFT", 0, 0);

	panel.quietStart = self:CreateCheckButton(LABEL_QUIET_START, panel);
	panel.quietStart:SetPoint("TOPLEFT", panel.sound, "BOTTOMLEFT", 0, 4);

	panel.reduceVolume = self:CreateCheckButton(LABEL_REDUCE_VOLUME, panel);
	panel.reduceVolume:SetPoint("TOPLEFT", panel.quietStart, "BOTTOMLEFT", 0, 4);
	
	panel.masterChannel = self:CreateCheckButton(LABEL_MASTER_CHANNEL, panel);
	panel.masterChannel:SetPoint("TOPLEFT", panel.reduceVolume, "BOTTOMLEFT", 0, 4);

	-- Populate and save handlers
	panel.Populate = function(self, config)
		Options:PopulateSoundPanel(config);
	end
	panel.Save = function(self, config)
		Options:SaveSoundPanel(config)
	end

	return panel;
end

-- Populate the contents of the Sound panel
function Options:PopulateSoundPanel(config)
	local panel = self.sound;
	
	panel.sound:SetChecked(config.sound);
	panel.quietStart:SetChecked(config.quietStart);
	panel.reduceVolume:SetChecked(config.reduceVolume);
	panel.masterChannel:SetChecked(config.masterChannel);
end

-- Save the contents of the Sound panel
function Options:SaveSoundPanel(config)
	local panel = self.sound;
	
	config.sound = panel.sound:GetChecked() and true or false;
	config.quietStart = panel.quietStart:GetChecked() and true or false;
	config.reduceVolume = panel.reduceVolume:GetChecked() and true or false;
	config.masterChannel = panel.masterChannel:GetChecked() and true or false;
end
