-- Create the top frame
function Options:Construct()
	self.name = select(2, GetAddOnInfo("AngeleDei"));
	
	local subtext = self:CreateTitle(self, self.name, SUBTITLE_TOPLEVEL);

	-- Set up UI interaction functions
	Options.okay = function()
		Options:Save();
		if(Options.save) then
			Options.save();
		end;
	end;

	Options.cancel = function()
		Options:Populate();
	end;
	
	Options.refresh = function()
		Options:Populate();
	end

	InterfaceOptions_AddCategory(Options);
	
	self.panels = { };
	self.keystrokes = { };

	-- Other panels
	self.panels[#self.panels+1] = self:CreateGeneralPanel();
	self.panels[#self.panels+1] = self:CreateDisplayPanel();
	self.panels[#self.panels+1] = self:CreateSoundPanel();
	self.panels[#self.panels+1] = self:CreateRotationPanel();
	
	local all = SpecList:GetAll();
	for i,spec in ipairs(all) do
		self.panels[#self.panels+1] = self:CreateKeystrokePanel(spec);
	end
end

-- Populate the contents of all panels
function Options:Populate()
	--print("[Options:Populate]");
	for i=1,#self.panels do
		--print("Populate(" .. i .. ")");
		self.panels[i]:Populate(self.config);
	end
end

-- Save the contents of all panels
function Options:Save()
	--print("[Options:Save]");
	for i=1,#self.panels do
		--print("Save(" .. i .. ")");
		self.panels[i]:Save(self.config);
	end
	self.config:Save();
end
