-- Spell info for Protection spec
ProtectionSpellinfo = new(Spellinfo);

-- Initialize spells for Protection spec
function ProtectionSpellinfo:Init()
	self:Reset();

	-- Usable spells
	self:AddSpell(ABILITY_CS, "CS", 3);
	self:AddSpell(ABILITY_HOR, "HoR", 3); 											--, "Interface\\Icons\\Ability_Paladin_HammeroftheRighteous");
	self:AddSpell(ABILITY_SHOR, "SotR", 0, true); 									--, "Interface\\Icons\\Ability_Paladin_ShieldofVengeance");
	self:AddSpell(ABILITY_INQ, "Inq", 0, true);
	self:AddSpell(ABILITY_J, "J", 8)
	self:AddSpell(ABILITY_AS, "AS", 15);
	self:AddSpell(ABILITY_HS, "HS", 30);

	self:AddSpell(ABILITY_HW, "HW", 15);
	self:AddSpell(ABILITY_CON, "Con", 30 + (hasGlyph(54928, 1) and 6 or 0));		-- Glyph of Consecration
	self:AddSpell(ABILITY_HOW, "HoW", 6, false, 20);
	self:AddSpell(ABILITY_WOG, "WoG", 20, true);
	self:AddSpell(ABILITY_HOJ, "HoJ", 60 - talentRank(20488)*10);					-- Improved Hammer of Justice
	
	-- Effects
	self:AddEffect(EFFECT_HS, "HS", 10);
	self:AddEffect(EFFECT_INQ, "Inq", 0);
	self:AddEffect(EFFECT_SD, "SD", 15);
	self:AddEffect(EFFECT_JOTW, "JotW", 10);
	self:AddEffect(EFFECT_GC, "GC", 10);
	self:AddEffect(EFFECT_EG, "EG", 0);

	-- Other spell IDs we recognize
	self:AddOther(FEEDBACK_HOR_HOLY);
	self:AddOther(FEEDBACK_GC_POWER);
end

-- Get the ID and cost of the spell used to measure base mana (base mana percentage, 40 = 40%)
function ProtectionSpellinfo:GetBaseManaAbility()
	return 7328, 64;		-- Redemption, 64% base mana
end

-- Get the ID and cast time of the spell used to measure GCD duration
function ProtectionSpellinfo:GetGCDAbility()
	return 7328, 10;		-- Redemption, 10 seconds
end

-- Protection paladins don't care about haste, so we'll hardcode this to the zero haste GCD
-- to make things more stable
function ProtectionSpellinfo:GCD()
	return 1.5;
end
